# Uses of Enum Class
org.apache.sling.models.annotations.injectorspecific.InjectionStrategy

Packages that use InjectionStrategy
Package
Description
org.apache.sling.models.annotations.injectorspecific
org.apache.sling.models.spi.injectorspecific

## Uses of InjectionStrategy in org.apache.sling.models.annotations.injectorspecific

Methods in org.apache.sling.models.annotations.injectorspecific that return InjectionStrategy
Modifier and Type
Method
Description
`static InjectionStrategy`
InjectionStrategy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InjectionStrategy[]`
InjectionStrategy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of InjectionStrategy in org.apache.sling.models.spi.injectorspecific

Methods in org.apache.sling.models.spi.injectorspecific that return InjectionStrategy
Modifier and Type
Method
Description
`InjectionStrategy`
AbstractInjectAnnotationProcessor2.`getInjectionStrategy()`
`InjectionStrategy`
InjectAnnotationProcessor2.`getInjectionStrategy()`
Tries to get the information whether the injection is optional.